
@font-face {
  font-family: MTNIrancell;
  src: url('font/AnyConv.com__MTNIrancell-Light.woff');
}

@font-face {
  font-family: MTNIrancellbold;
  src: url('font/MTNIrancell-Bold.ttf');
}



body {
    font-family: MTNIrancell;
    background-color: #448fff;
    margin: 0;
    color: #fffae7;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
  background: transparent;
  border-radius: 1rem;
  border: 0;
  /*box-shadow: 0 1px 3px rgb(0 0 0 / 12%), 0 1px 2px rgb(0 0 0 / 24%);*/
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 0 20px 0 20px;
}

/*.header {*/
/*  position: fixed;*/
/*  top: 0;*/
/*  left: 0;*/
/*  width: 100%;*/
/*  background-color: #08bf56;*/
/*  border-radius: 0px 0px 40px 40px;*/
/*  color: #fdfdfd;*/
/*}*/

.header {
    position: fixed;
    top: 0;
    /* left: 25%; */
    width: 50%;
    background-color: #08bf56;
    border-radius: 0px 0px 40px 40px;
    color: #fdfdfd;
    z-index: 1;
}



.header-content {

  color: #fdfdfd;
  background-size: 100%;
  background-repeat: repeat;
  -webkit-background-clip: text;

  -moz-background-clip: text;

  display: flex;
  justify-content: center;
}

h1 {

  font-weight: normal;
  font-size: 3em;
  text-align: center;
  margin-bottom: 0;
  margin-bottom: -0.25em;
}

p,
h2,
h3,
h4,
h5,
label,
input {

}

.form {
  display: contents;
  grid-template-columns: auto auto;
  row-gap: 1rem;
  column-gap: 3rem;
  justify-content: center;
  align-items: center;
}

.title {
    margin: 0;
    text-align: center;
    background-color: red;
    font-weight: 800;
    background-image: linear-gradient(311deg, #23a12d, #4caf50);
    background-size: 100%;
    background-repeat: repeat;
    -webkit-background-clip: text;
    text-transform: lowercase;
    -moz-background-clip: text;
}

/* Form styling */



#characterAmountRange {
  background-image: linear-gradient(45deg, hsl(134.8, 78.9%, 48.4%), #09ff46);
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}




#characterAmountRange::-webkit-slider-thumb {
  -webkit-appearance: none; /* Override default look */
  appearance: none;
  width: 25px; /* Set a specific slider handle width */
  height: 25px; /* Slider handle height */
  background: #4CAF50; /* Green background */
  cursor: pointer; /* Cursor on hover */
}

#characterAmountRange::-moz-range-thumb {
  width: 25px; /* Set a specific slider handle width */
  height: 25px; /* Slider handle height */
  background: #4CAF50; /* Green background */
  cursor: pointer; /* Cursor on hover */
}


label {
  font-weight: bold;
  color: white;
  padding: 19px;
}

.character-amount-container {
  display: flex;
  align-items: center;
}

.number-input {
  width: 2rem;
}

.password-container {
  position: relative;
  background-color: white;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: column-reverse;
  width: 100%;
  align-items: center;
  word-break: break-all;
  border-radius: 0.5rem;
  margin: 2rem 0;
}

.password-display {
  background-color: white;
  color: #4caf50;
  border: 0;
  height: auto;
  width: 375px;
  display: flex;
  justify-content: center;
  word-break: break-all;

}

.password-display:hover {
  background-color: red;
  background-image: linear-gradient(45deg, hsl(157, 69%, 53%), #42df6e);
  background-size: 100%;
  background-repeat: repeat;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-background-clip: text;
  -moz-text-fill-color: transparent;
}


.copy-btn {
  font-family: MTNIrancell;
  font-weight: bold;
  align-self: flex-end;
  min-width: 60px;
  padding: 5px;
  border: 0;
color: #fdfdfd;
  cursor: pointer;
  background: #07b954;
  border-radius: 28px;
  position: absolute;
  width: 18%;
  height: 85%;
  top: 5px;
  right: 17px;
  transition: all .1s ease-in;

}

.copy-btn:hover {

top: 7px;
  width: 15%;
  height: 80%;
  right: 25px;
}

.btn {
  grid-column: span 2;
  box-shadow: 0 1px 3px rgb(0 0 0 / 12%), 0 1px 2px rgb(0 0 0 / 24%);
  border: 0;
  margin: 0;
  padding: 0.5rem 1rem;
  font-weight: bold;
  cursor: pointer;
  border-radius: 1rem;
  width: 100%;
  /*background-image: linear-gradient(45deg, hsl(50, 69%, 53%), #df7e42);*/
  margin: 2rem 0;
  background-color: #08c056;
  border: 1px solid #08c056;
  box-shadow: 0 0 15px #08c056;
  color: #fdfdfd;

}
h3.btn {
  color: rgb(59, 59, 59);
}
.btn:hover {
  background-color: #07b954;
}
.btn{
  font-family: MTNIrancellbold;
}
.nonshow {
  display: flex;
}
.head-title{
  font-family: MTNIrancell;
  font-size: 21px;
  margin: 14px;
}